Subject: Re: Big 5 Chinese encoding, uuencoding, and the net

From: --yuan <[email-masked]>
Date: Thu, 18 Mar 1993 18:39:19 CST

On Thu, 18 Mar 1993 18:41:12 -0500 you said:
>Here's a little problem for you all, sent my way by the redoubtable
>Avron Boretz:
>
>>I have been using the CIT gopher a lot recently, including to hook up
>>to Taiwan gopher servers using Big-5.  I use Telix under Eten.  Now here's
>>something which I don't understand, and which I think we NEED to understand:
>>This gopher, HKUSTL, Academia Sinica, etc., are set up in Big 5, and
>>if you are using a Big 5 shell, you can read their screens over the net.

    Yep, possible!  Thing is very easy to understand, see the following.

>>But, there is no way to send and receive Big-5 which is not first uuencoded...
    No,  you don't need to bother to encode/decode for this.

Those Gopher, On-line library, BBS in Taiwan which support big5 coding,
is really providing Chinese on-line service. This simply means you connect to
these servers, then you can possibly choose Chinese interface, then everything
shown on your screen is Chinese over the net.

    Now some tech issues (not very deep) follows:
Due to some stupid reasons, many hosts (IBM, DEC and any of UNIX)
didn't support the so called "8-bit clean" environments. So if you
are a user under these hosts, you need to talk to your local academic
computing service or whatever about if this possibly being changed.
Otherwise even your PC itself is already loading any of chinese
interface softwares such as ETen which supports big5 coding, those
chinese characters from those server over the net will not be able
to display on your screen.
(Please ignore the following details:
big5 coding uses every bit out of a byte (byte=8bit), but for those
didn't support 8-bit machine, every 8th bit is cuted, then your
ETen is not able to interpret those coding to the chinese fonts on-line
you then can't regonize though, unfortunately.)

    Let me summarize to a virtual picture:

    YOUR-PC   -----> YOUR_HOST_AT_SHOOL   ---> ChineseGopher_in_Taiwan

   (chinese-capable)   (should be 8-bit         (chinese-capable)
                            clean at leat)

     Some more positive hints follows:
Here if we skip over the intermediate host, then the problem is
possibly solved right?   Yes, you got it!

     YourPC-at-campus ---------------------------------> Taiwan/HK/SG

     If you have a PC on the net (not via phone line), you are possibly
connecting your PC directly to those libraries, archie server, gopher..
over the net (via the link US <-> Taiwan) and use the language you are
most familiar with. So you just need 2 things:

        1. ETen and the like which supports big5
        2. NCSA telnet chinese version (obtainable from
           moers2.edu.tw /chinese-pub/ncsa ...(I can't asure at the moment)

     For setting up a NCSA telnet, you probably need to talk to
your local computing support dept. If you want to try yourself,
in chap5-2 of Internet-Tools has a very good instructions about this.
(This is written by Eric Wang [email-masked] ). If you are
not familar with ftp, see also the Internet-Tools. If you want to
know where those Chinese libraries/archie/gopher/BBS/Database in Taiwan to
connect to, Internet-Tools is a pretty good choice too. Internet-Tools can
be retrieved via ftp from ifcss.org /china-studies/net-resources/Internet-
Tools.gb and Internet-Tools.README. Or NCTUCCCA.edu.tw /Chinese/Internet-Tools
for big5 version.   Hope this helps.  --yuan

    If you have any further question, try to ask those net experts in
Taiwan directly. To do this, telnet NCTUCCCA.edu.tw  a/c#: twnews
This is a netnews service for overseas Chinese. Of course this server
is carrying Chinese too (those local news in Taiwan is about 66% ? in Chinese),
so if you are familiar with above, you can talk to those Taiwanese
in Chinese. Those tw.wanted, tw.talk newsgroup can be considered a appropriate
place about this, give yourself a try!. (The NCTUCCCA.edu.tw netnews info was
provided by Huang Chi-Shien [email-masked] months ago)

>Definitions:  For those of you at ccnet-l, CIT is Cornell Information
>Technologies.  For those of you not into Chinese, Big 5 is a character
>code (two-byte) used widely in Taiwan-based software and communications.
>
>So the question is:  How can we get Chinese text to go back and forth
>over the net, not simply in one direction?
>
>
>Any suggestions?  I'd like to say that there's a free SPARCstation waiting
>for the first one to come up with a solution, but it wouldn't be true!
>
>-- John M.
>
>
>=====================================================
>John R. McRae, Associate Professor of Asian Religions
>Director, Cornell Chinese-Japanese-Korean Computing
>        and Database Facility
>Department of Asian Studies
>Cornell University
>Ithaca, NY  14853-2502
>tel:  607/255-1328; fax: 255-1686
>e-mail: [email-masked]
>======================================================